package com.luxand.livenessrecognition;

import Luxand.FSDK;

import javax.swing.*;

public class Main {

    public static void main(String[] args) {
        if (FSDK.ActivateLibrary("INSERT THE LICENSE KEY HERE") != FSDK.FSDKE_OK) {
            JOptionPane.showMessageDialog(null, "Please insert the license key in the FSDK.ActivateLibrary() function.", "Error activating FaceSDK", JOptionPane.ERROR_MESSAGE);
            System.exit(-1);
        }

        FSDK.Initialize();
        
        new MainWindow() {{
            setVisible(true);
        }};
    }
}
